Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface FLibrary

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IArtifact, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  FImplementedLibrary

All Known Implementing Classes:
  FImplementedLibraryImpl, FLibraryImpl

    public interface FLibrary

extends SNamed, IArtifact

A representation of the model object ' FLibrary'.

Author:
  Miles Parker

  The following features are supported:

  - `Functions`
  - `Subs`
See Also:
  `MetaABMFunctionPackage.getFLibrary()`

Method Summary
`FFunction` | `findFunction(java.lang.String id)` Returns the sub library with the supplied usage name.
`FLibrary` | `findSub(java.lang.String id)` Returns the sub library with the supplied usage name.
`org.eclipse.emf.common.util.EList<FFunction>` | `getFunctions()` Returns the value of the 'Functions' containment reference list.
`org.eclipse.emf.common.util.EList<FLibrary>` | `getSubs()` Returns the value of the 'Subs' containment reference list.

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFunctions

    org.eclipse.emf.common.util.EList<FFunction> getFunctions()

  Returns the value of the 'Functions' containment reference list. The list contents are of type `FFunction`.

  If the meaning of the 'Functions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Functions' containment reference list.
  See Also:
    `MetaABMFunctionPackage.getFLibrary_Functions()`

### getSubs

    org.eclipse.emf.common.util.EList<FLibrary> getSubs()

  Returns the value of the 'Subs' containment reference list. The list contents are of type `FLibrary`.

  If the meaning of the 'Subs' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subs' containment reference list.
  See Also:
    `MetaABMFunctionPackage.getFLibrary_Subs()`

### findFunction

    FFunction findFunction(java.lang.String id)

  Returns the sub library with the supplied usage name.

### findSub

    FLibrary findSub(java.lang.String id)

  Returns the sub library with the supplied usage name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD